Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Migrate RCP from 4.4.2 to 4.16(Migrate RCP from 4.4.2 to 4.16)
Migrate RCP from 4.4.2 to 4.16 [message #1840592] Tue, 20 April 2021 09:01 Go to next message
Goutham BV is currently offline Goutham BVFriend
Messages: 5
Registered: April 2021
Junior Member
I am new to Eclipse RCP development. We have a legacy RCP which was developed using 4.4.2. We now have a need to upgrade as there are a few third party libraries that are vulnerable. I have two part question;

1. Can we upgrade only the third party jars that are consumed by equinox core which are vulnerable?
2. How do I migrate my RCP from 4.4.2 to higher version like 4.16 (this is the last version that works with JRE 1.8).

Any guidance on this is greatly appreciated.

-
Goutham
Re: Migrate RCP from 4.4.2 to 4.16 [message #1840603 is a reply to message #1840592] Tue, 20 April 2021 14:17 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31957
Registered: July 2009
Senior Member
Your questions don't really have generic answers. Bundles typically specify dependencies using lower and upper bounds so a newer version of some bundle might specify a lower bound that makes it not compatible with a older version of Eclipse (because it uses a new API not available in an older Eclipse). You can only try and see .

What if anything needs to be migrated depends on what you use. You might find that everything you use is still available in the newer version of Eclipse and that there is nothing to migrate. Again, you can only try and see...

There appear to be porting guides like this:

https://www.eclipse.org/eclipse/development/porting/eclipse_4_20_porting_guide.html

where you can replace the "20" with whatever version....


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Migrate RCP from 4.4.2 to 4.16 [message #1840642 is a reply to message #1840603] Wed, 21 April 2021 09:10 Go to previous messageGo to next message
Goutham BV is currently offline Goutham BVFriend
Messages: 5
Registered: April 2021
Junior Member
Ed,

Thanks for the reply. Let me ask a different question. Is it possible to just update a single third party jar from the eclipse sdk that is used to build my RCP?

Specifically, I am looking to replace "plugins/org.eclipse.jetty.http_8.1.16.v20140903.jar" with "plugins/org.eclipse.jetty.http_9.4.11.v20180605.jar" from the "eclipse-SDK-4.4.2-win32.zip"?

Thanks in advance.
Re: Migrate RCP from 4.4.2 to 4.16 [message #1840644 is a reply to message #1840642] Wed, 21 April 2021 09:48 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31957
Registered: July 2009
Senior Member
It's likely difficult to update a single jar, and certainly you can't just replace it in the file system because the "profile" expects a certain version to be present. Also, features typically include bundles and then that restricts the version to be a very specific one. So generally a replacement requires doing an actual update to install newer replacements.

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Migrate RCP from 4.4.2 to 4.16 [message #1840737 is a reply to message #1840644] Fri, 23 April 2021 06:18 Go to previous messageGo to next message
Goutham BV is currently offline Goutham BVFriend
Messages: 5
Registered: April 2021
Junior Member
OK. Thank you.

Are there any documents that talk about the process to update to install newer replacements.

[Updated on: Fri, 23 April 2021 06:19]

Report message to a moderator

Re: Migrate RCP from 4.4.2 to 4.16 [message #1840750 is a reply to message #1840737] Fri, 23 April 2021 10:10 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31957
Registered: July 2009
Senior Member
Are you defining your target platform using *.target file?

Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:gibberish titles
Next Topic:Symbol 'DDRB' could not be resolved [ISSUE RESOLVED]
Goto Forum:
  


Current Time: Sun Jul 25 00:57:16 GMT 2021

Powered by FUDForum. Page generated in 0.04355 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top